ツイート
スレッドを取得
GET /v1/tweets/{tweet_id}/thread reads 2 クレジット
投稿を通る投稿者自身のスレッド: その投稿を含む自己返信の連鎖を、会話の最初の投稿から投稿者の連続する返信までたどります。指定した投稿が先頭、途中、末尾のどれであっても構いません。同じ会話内で投稿者が他の人のコメントに返した返信は含まれません。
レスポンス
投稿 ID と、ID 順 (古い順) に並んだスレッドの投稿。スレッドに属さない投稿は単独で返ります。存在しない投稿は 404 です。
ステータス: 200, 404, 422, 429, 502
リクエスト
curl https://api.xsignalfeed.com/v1/tweets/2100389563898495436/thread \ -H "Authorization: Bearer xsf_your_key"
レスポンス · 200 / 404
{
"tweet_id": "2100389563898495436",
"tweets": [
{
"id": 2100389274051043375,
"created_ms": 1789606800936,
"user_id": 1126749496082223104,
"user": "HYBE_MERCH",
"name": "HYBE MERCH",
"text": "BTS (방탄소년단) WORLD TOUR ‘ARIRANG’ Official Merch. 2nd Drop (1/4)…",
"lang": "ko",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2100389274051043375",
"is_rt": false,
"rt_of": null,
"is_quote": false,
"quoted": null,
"media": [
"https://pbs.twimg.com/media/…"
],
"media_items": [
{
"type": "photo",
"url": "https://pbs.twimg.com/media/…",
"expanded_url": "https://x.com/HYBE_MERCH/status/2100389274051043375/photo/1",
"width": 1080,
"height": 1350
}
],
"urls": [],
"views": "18211",
"counts": {
"reply": 3,
"rt": 210,
"like": 640,
"quote": 2,
"bookmark": 44
},
"source": "<a href=\"https://mobile.twitter.com\" rel=\"nofollow\">Twitter Web App</a>"
},
{
"id": 2100389556948509007,
"reply_to_status_id": "2100389274051043375",
"conversation_id": "2100389274051043375",
"…": "…"
},
{
"id": 2100389560379462133,
"reply_to_status_id": "2100389556948509007",
"…": "…"
},
{
"id": 2100389563898495436,
"reply_to_status_id": "2100389560379462133",
"…": "…"
}
]
}